Jump to content

Recommended Posts

alright just got sf2 and am curious if the patch in dls brings it up to may 2009 or do i patch this to my may o9 edition.

Share this post


Link to post
Share on other sites

You can check your current version in the lower right (I think) corner of the main menu screen and see if you need patching.

Share this post


Link to post
Share on other sites

If you just bought the game "fresh" from the TW-download-site, it is most currently patched and doesn't require the patch. (Doing another patch over that, will scrap your install...)

 

Have fun!

Share this post


Link to post
Share on other sites

You can check your current version in the lower right (I think) corner of the main menu screen and see if you need patching.

it says may 2009.and i believe im good. fly fast fly low -D-

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

By using this site, you agree to our Terms of Use.